## NAME

v.what.vect - Uploads vector values at positions of vector points to the table

## KEYWORDS

vector, database, attribute table

## SYNOPSIS

v.what.vect
v.what.vect help
v.what.vect vector=name qvector=name [layer=integer] [qlayer=integer] column=string qcolumn=string

### Parameters:

vector=name
  Vector map with points for which to modify the attribute table
qvector=name
  Vector map to be queried
layer=integer
  Layer of the vector for which to modify the attribute table
  Default: 1
qlayer=integer
  Layer of the vector to be queried
  Default: 1
column=string
  Column to be updated with the query result
qcolumn=string
  Column to be queried

## DESCRIPTION

v.what.vect transfers attributes from the qvector's map attribute table into the attribute table of points present in the vector map. The script is based on v.distance.

## NOTES

The upload column, into which the query results are stored, must be present in the vector map. Use v.db.addcol to add one if needed.

This module only uploads attributes which exist at the exact positions of the input's vector points. For a "nearest feature" fit, use v.distance instead.

In case of a multipoint input vector map, with several points having the same category number, it can happen, that the query result is NULL, if the same category number falls into different qvector polygons.

## EXAMPLE

In this example, the 'archsites' point map in the Spearfish location is copied to the current mapset, a new attribute column is added and the owner names from the 'fields' polygon map are transferred to the 'myarchsites' map at points' locations:

    g.copy vect=archsites,myarchsites
    v.db.addcol myarchsites col="owner varchar(25)"
    v.what.vect myarchsites qvect=fields column=owner qcolumn=label
    # verification:
    v.db.select myarchsites

## SEE ALSO

v.db.addcol, v.db.select, v.distance, v.what.rast

## AUTHOR

Markus Neteler

Last changed: $Date: 2007/03/08 13:51:31 $

Main index - vector index - Full index